Bug 161598 - configuring templates: add "revert to default" to context menu
Summary: configuring templates: add "revert to default" to context menu
Status: RESOLVED FIXED
Alias: None
Product: kmail
Classification: Unclassified
Component: templates (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-04 12:30 UTC by Maciej Pilichowski
Modified: 2012-04-03 07:02 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.9


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Pilichowski 2008-05-04 12:30:38 UTC
Version:            (using KDE 3.5.9)
Installed from:    SuSE RPMs

so the user could get back for one template to defaults. Currently the only choice is reverting _all_ settings to default, something more small-grain is needed here.
Comment 1 Laurent Montel 2012-04-03 07:01:49 UTC
Git commit 214c35f9b2409f2f2976eb9717a4cdc41d657354 by Montel Laurent.
Committed on 03/04/2012 at 09:00.
Pushed by mlaurent into branch 'master'.

Fix Bug 161598 - configuring templates: add "revert to default" to context menu

I don't add a new menu entry but a kmessagebox::questionyesnocancel to ask what we want to reset
FIXED-IN: 4.9

M  +26   -4    templateparser/templatesconfiguration.cpp

http://commits.kde.org/kdepim/214c35f9b2409f2f2976eb9717a4cdc41d657354